## shine 3.1.0

=== js/Makefile ===
# Emscriptem compilation

EMCC:=emcc
EXPORTED_FUNCTIONS:='["_shine_check_config", "_shine_js_init",\
	"_shine_samples_per_pass", "_shine_encode_buffer",\
  "_shine_flush", "_shine_close"]'
CFLAGS:=-O2 -s ASM_JS=1 -s USE_TYPED_ARRAYS=2 -s EXPORTED_FUNCTIONS=$(EXPORTED_FUNCTIONS)

C_FILES:=$(wildcard ../src/lib/*.c) src/wrapper.c
HEADER_FILES:=$(wildcard ../src/lib/*.h)
SOURCES:=$(C_FILES) $(HEADER_FILES)
OBJECTS:=$(C_FILES:%.c=%.bc)

all: dist/libshine.js

dist/libshine.js: $(SOURCES) $(OBJECTS) src/pre.js src/post.js
	$(EMCC) $(CFLAGS) --pre-js src/pre.js --post-js src/post.js $(OBJECTS) -o dist/libshine.js

%.bc: %.c
	$(EMCC) $(CFLAGS) -I../src/lib -c $< -o $@

clean:
	rm -f *.bc ../src/lib/*.bc

## shine 2.0.0

=== debian/changelog ===
shine (2.0.0-2ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 29 Dec 2013 22:56:26 -0500

shine (2.0.0-2) unstable; urgency=low

  * Set shineenc section to sound. 

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 14 May 2013 00:19:21 -0500

shine (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Library soversion bumped to 2:0:0,
    package renamed accordingly.
  * Drop autoconf from debian/rules.
  * Bumped standards version to 3.9.4 
  * First upload to unstable.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 10 Apr 2013 22:41:43 -0500

shine (1.0.0-2) experimental; urgency=low

  * Fixed debian/copyright

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 04 Feb 2013 17:39:04 -0600

shine (1.0.0-1) experimental; urgency=low

  * Initial upload.
  Closes: #699634 

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 02 Feb 2013 13:40:59 -0600

=== debian/control ===
Source: shine
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Romain Beauxis <toots@rastageeks.org>
Uploaders: Samuel Mimram <smimram@debian.org>
Homepage: https://github.com/savonet/shine
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), dh-autoreconf
Vcs-Git: git://git.debian.org/collab-maint/shine.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/shine.git

Package: libshine2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Fixed-point MP3 encoding library - runtime files
 Shine can be used to encode audio data on architectures with no floating
 point processing unit (FPU) at a much better rate than encoding
 libraries implemented using floating-point arithmetic.
 .
 This package contains the files needed to run a program compiled using
 Shine.

Package: libshine2-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: debug
Depends:
 libshine2 (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for libshine2
 Shine can be used to encode audio data on architectures with no floating
 point processing unit (FPU) at a much better rate than encoding
 libraries implemented using floating-point arithmetic.
 .
 This package contains the debugging symbols for libshine2

Package: libshine-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libshine2 (= ${binary:Version}),
 pkg-config,
 ${misc:Depends}
Description: Fixed-point MP3 encoding library - development files
 Shine can be used to encode audio data on architectures with no floating
 point processing unit (FPU) at a much better rate than encoding
 libraries implemented using floating-point arithmetic.
 .
 This package contains the files needed to compile and statically link
 against Shine.

Package: shineenc
Architecture: any
Depends:
  libshine2 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
Section: sound
Description: Fixed-point MP3 encoding library - frontend binary
 Shine can be used to encode audio data on architectures with no floating
 point processing unit (FPU) at a much better rate than encoding
 libraries implemented using floating-point arithmetic.
 .
 This package contains a frontend binary capable of encoding WAVE files
 using Shine.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_strip:
	dh_strip --dbg-package=libshine2-dbg

=== debian/watch ===
version=3
http://sf.net/savonet/shine-(.+)\.tar\.gz

## shine 3.1.0

=== debian/changelog ===
shine (3.1.0-5) unstable; urgency=medium

  * debian/control: Bump Standards-Version.
  * debian/{rules,control,compat}: Bump to compat 10.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 24 Nov 2016 00:21:57 +0100

shine (3.1.0-4) unstable; urgency=medium

  * debian/changelog: Fix typo in entry for 3.1.0-3.
  * debian/source/lintian-overrides: Update overrides.
  * debian/control: Update Vcs-Git.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Jan 2016 20:55:57 +0100

shine (3.1.0-3) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version.
    - Adopt package and move it under the Multimedia Team umbrella. Thanks for
      maintaining it, Romain Beauxis. (Closes: #810995)
    - Removed Pre-Depends, no longer needed.
    - Move shineenc to section sound.
  * debian/copyright: Update copyright information.
  * debian/rules: Use DEB_CFLAGS_MAINT_APPEND.
  * Migrate to automatic debug packages.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 16 Jan 2016 17:29:21 +0100

shine (3.1.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * only pass -mips32r2 to CFLAGS on mips and mipsel (Closes: #761935).

 -- YunQiang Su <syq@debian.org>  Fri, 10 Oct 2014 12:53:42 +0800

shine (3.1.0-2) unstable; urgency=medium

  * Fix build on mips architectures. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 11 Aug 2014 18:38:02 -0500

shine (3.1.0-1) unstable; urgency=medium

  * New upstream release with new ABI.
  * Bumped library's binary package to libshine3
  * Call autoreconf at build time to keep
    build files up-to date.
  * Bumped standards-version to 3.9.5

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 29 Jul 2014 23:38:40 -0500

=== debian/control ===
Source: shine
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Homepage: https://github.com/savonet/shine
Standards-Version: 3.9.8
Build-Depends:
 debhelper (>= 10)
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/shine.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/shine.git

Package: libshine3
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Fixed-point MP3 encoding library - runtime files
 Shine can be used to encode audio data on architectures with no floating
 point processing unit (FPU) at a much better rate than encoding
 libraries implemented using floating-point arithmetic.
 .
 This package contains the files needed to run a program compiled using
 Shine.

Package: libshine-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libshine3 (= ${binary:Version}),
 pkg-config,
 ${misc:Depends}
Description: Fixed-point MP3 encoding library - development files
 Shine can be used to encode audio data on architectures with no floating
 point processing unit (FPU) at a much better rate than encoding
 libraries implemented using floating-point arithmetic.
 .
 This package contains the files needed to compile and statically link
 against Shine.

Package: shineenc
Architecture: any
Section: sound
Depends:
  libshine3 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
Description: Fixed-point MP3 encoding library - frontend binary
 Shine can be used to encode audio data on architectures with no floating
 point processing unit (FPU) at a much better rate than encoding
 libraries implemented using floating-point arithmetic.
 .
 This package contains a frontend binary capable of encoding WAVE files
 using Shine.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
export DEB_CFLAGS_MAINT_APPEND=-mips32r2
endif

%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration 'libshine3-dbg (<< 3.1.0-3~)'

## shine 3.1.1

=== js/Makefile ===
# Emscriptem compilation

EMCC:=emcc
EXPORTED_FUNCTIONS:='["_shine_check_config", "_shine_js_init",\
	"_shine_samples_per_pass", "_shine_encode_buffer",\
  "_shine_flush", "_shine_close"]'
CFLAGS:=-O3
LINKFLAGS:=-s EXPORTED_FUNCTIONS=$(EXPORTED_FUNCTIONS) --memory-init-file 0 $(CFLAGS)

C_FILES:=$(wildcard ../src/lib/*.c) src/wrapper.c
HEADER_FILES:=$(wildcard ../src/lib/*.h)
SOURCES:=$(C_FILES) $(HEADER_FILES)
OBJECTS:=$(C_FILES:%.c=%.bc)

all: dist/libshine.js

dist/libshine.js: $(SOURCES) $(OBJECTS) src/pre.js src/post.js
	$(EMCC) $(LINKFLAGS) --pre-js src/pre.js --post-js src/post.js $(OBJECTS) -o $@

%.bc: %.c
	$(EMCC) $(CFLAGS) -I../src/lib -c $< -o $@

clean:
	rm -f *.bc ../src/lib/*.bc

=== js/test/browser/Makefile ===
all:
	python -m SimpleHTTPServer

=== debian/changelog ===
shine (3.1.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Set upstream metadata fields: Bug-Submit.

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump debhelper compat to 13
    - Bump Standards-Version
  * debian/rules: Remove special mips* handling
  * debian/patches: Fix build with GCC 15 (Closes: #1097877)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 20 Sep 2025 12:08:50 +0200

shine (3.1.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version.
  * debian/: Bump debhelper compat level to 11.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 19 Apr 2018 20:25:13 +0200

shine (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version.
  * debian/rules: Drop obsolete dh_strip override.
  * debian/source/lintian-overrides: Remove unused override.
  * debian/copyright: Drop unused paragraph.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Aug 2017 14:15:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: shine
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Homepage: https://github.com/savonet/shine
-Standards-Version: 3.9.8
+Standards-Version: 4.7.2
 Build-Depends:
- debhelper (>= 10)
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/shine.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/shine.git
+ debhelper-compat (= 13)
+Vcs-Git: https://salsa.debian.org/multimedia-team/shine.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/shine
 
 Package: libshine3
 Architecture: any
@@ -53,4 +53,4 @@
  libraries implemented using floating-point arithmetic.
  .
  This package contains a frontend binary capable of encoding WAVE files
- using Shine. 
+ using Shine.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/shine-$1\.tar\.gz/ \
  https://github.com/savonet/shine/tags .*/v?(\d\S*)\.tar\.gz
